package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块的审核附件对象 t_dk_auditflow_fj
 * 
 * @author siwei
 * @date 2025-02-11
 */
public class TDkAuditflowFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 地块基本信息ID */
    @Excel(name = "地块基本信息ID")
    private String dkjbxxId;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String fjPath;

    /** 附件大小 */
    @Excel(name = "附件大小")
    private Long fjSize;

    /** 附件类型 */
    @Excel(name = "附件类型")
    private String fjType;

    @Excel(name = "附件名称")
    private String fjName;

    /**
     * 审核流程ID
     */
    private String auditflowId;

    /** 纬度 */
    @Excel(name = "纬度")
    private String fjLatitude;

    /** 经度 */
    @Excel(name = "经度")
    private String fjLongitude;

    /** 高度(米) */
    @Excel(name = "高度(米)")
    private String fjAltitude;

    /** 时间 */
    @Excel(name = "时间")
    private String fjDatetime;

    /** 方向（正北的角度） */
    @Excel(name = "方向", readConverterExp = "正=北的角度")
    private String fjDirection;

    /** 照片作者 */
    @Excel(name = "照片作者")
    private String fjArtist;

    /** 拍摄或处理照片的软件 */
    @Excel(name = "拍摄或处理照片的软件")
    private String fjSoftware;

    /** 预览地址 */
    private String fjPreview;


    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setDkjbxxId(String dkjbxxId) 
    {
        this.dkjbxxId = dkjbxxId;
    }

    public String getDkjbxxId() 
    {
        return dkjbxxId;
    }
    public void setFjPath(String fjPath) 
    {
        this.fjPath = fjPath;
    }

    public String getFjPath() 
    {
        return fjPath;
    }
    public void setFjSize(Long fjSize) 
    {
        this.fjSize = fjSize;
    }

    public Long getFjSize() 
    {
        return fjSize;
    }
    public void setFjType(String fjType) 
    {
        this.fjType = fjType;
    }

    public String getFjType() 
    {
        return fjType;
    }

    public String getAuditflowId() {
        return auditflowId;
    }

    public void setAuditflowId(String auditflowId) {
        this.auditflowId = auditflowId;
    }

    public String getFjName() {
        return fjName;
    }

    public void setFjName(String fjName) {
        this.fjName = fjName;
    }

    public void setFjLatitude(String fjLatitude)
    {
        this.fjLatitude = fjLatitude;
    }

    public String getFjLatitude()
    {
        return fjLatitude;
    }
    public void setFjLongitude(String fjLongitude)
    {
        this.fjLongitude = fjLongitude;
    }

    public String getFjLongitude()
    {
        return fjLongitude;
    }
    public void setFjAltitude(String fjAltitude)
    {
        this.fjAltitude = fjAltitude;
    }

    public String getFjAltitude()
    {
        return fjAltitude;
    }
    public void setFjDatetime(String fjDatetime)
    {
        this.fjDatetime = fjDatetime;
    }

    public String getFjDatetime()
    {
        return fjDatetime;
    }
    public void setFjDirection(String fjDirection)
    {
        this.fjDirection = fjDirection;
    }

    public String getFjDirection()
    {
        return fjDirection;
    }
    public void setFjArtist(String fjArtist)
    {
        this.fjArtist = fjArtist;
    }

    public String getFjArtist()
    {
        return fjArtist;
    }
    public void setFjSoftware(String fjSoftware)
    {
        this.fjSoftware = fjSoftware;
    }

    public String getFjSoftware()
    {
        return fjSoftware;
    }

    public String getFjPreview() {
        return fjPreview;
    }

    public void setFjPreview(String fjPreview) {
        this.fjPreview = fjPreview;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dkjbxxId", getDkjbxxId())
            .append("fjPath", getFjPath())
            .append("fjSize", getFjSize())
            .append("fjType", getFjType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
